Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451206 - Extend /usr/share/file/magic to recognize Altera Nios II binaries.
Summary: Extend /usr/share/file/magic to recognize Altera Nios II binaries.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 12:29 UTC by Robert P. J. Day
Modified: 2008-11-12 17:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-12 17:19:10 UTC


Attachments (Terms of Use)

Description Robert P. J. Day 2008-06-13 12:29:41 UTC
Add to /usr/share/file/magic (around line 4000):

...
>>18    leshort         97              NatSemi 32k,
>>18    leshort         106             Analog Devices Blackfin,
>>18    leshort         113             Altera Nios II,      <---- NEW!!!
>>18    leshort         0x9026          Alpha (unofficial),
>>20    lelong          0               invalid version
...

Comment 1 Tomas Smetana 2008-06-16 12:27:44 UTC
Thanks, I'll include this in the next update and send it upstream in the next
bunch of patches.

Comment 2 Daniel Novotny 2008-11-12 17:19:10 UTC
thanks for the contribution, sent upstream


Note You need to log in before you can comment on or make changes to this bug.